## ttylog 0.1.a

=== Makefile ===
CC = gcc
C_ARGS = -Wall -O2

all:	ttylog

ttylog:	ttylog.o
		$(CC) $(C_ARGS) -o ttylog ttylog.o
ttylog.o:	ttylog.c
		$(CC) $(C_ARGS) -c ttylog.c
clean: 
		rm -f *.o ttylog core *~

## ttylog 0.1.b-3

=== debian/changelog ===
ttylog (0.1.b-3) unstable; urgency=low

  * Using optional output flush - Closes: bug#164778
   
 -- Tibor Koleszar <oldw@debian.org>  Sat, 04 Nov 2002 15:18:12 +0200

ttylog (0.1.b-2) unstable; urgency=low

  * New Standards-Version (3.5.2) - Closes: bug#127495
  * Removed binary files from upstream - Closes: bug#127496
  * Added COPYRIGHT and LICENCE files - Closes: bug#127499
  * Using debhelper instead of debmake - Closes: bug#119600 
  * Its not a debian native package - Closes: bug#127498 
   
 -- Tibor Koleszar <oldw@debian.org>  Sat, 12 Jan 2002 13:21:27 +0200

ttylog (0.1.b-1) unstable; urgency=low

  * New Standards-Version (3.5.2) - Closes: bug#127495
  * Removed binary files from upstream - Closes: bug#127496
  * Added COPYRIGHT and LICENCE files - Closes: ug#127499
  * Using debhelper instead of debmake - Closes: bug#119600 
   
 -- Tibor Koleszar <oldw@debian.org>  Sat, 12 Jan 2002 13:21:27 +0200

ttylog (0.1.a-3) unstable; urgency=low

  * New Standards-Version (3.1.1)
  * Changed typo at ttylog -h (verison -> version)

 -- Tibor Koleszar <oldw@debian.org>  Thu,  2 Jan 2001 14:22:32 +0200

ttylog (0.1.a-2) unstable; urgency=low

  * fflushed output

 -- Tibor Koleszar <oldw@debian.org>  Thu,  6 Jan 2000 15:43:19 +0200

ttylog (0.1.a-1) unstable; urgency=low

  * Initial release.

 -- Tibor Koleszar <oldw@debian.org>  Fri,  4 Jun 1999 10:20:26 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: ttylog
Section: utils
Priority: extra
Maintainer: Tibor Koleszar <oldw@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: ttylog
Architecture: any
Depends: ${shlibs:Depends}
Description: serial port logger
 Print everything onto stdout what comes from a
 serial device. You can specify the device and the
 baud rate.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/ttylog.sgml > ttylog.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/ttylog.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ttylog


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ttylog 0.1.b-4

=== Makefile ===
CC = gcc
C_ARGS = -Wall -O2
INS = /usr/bin/install
GZIP = /bin/gzip

all:	ttylog

ttylog:	ttylog.o
		$(CC) $(C_ARGS) -o ttylog ttylog.o

ttylog.o:	ttylog.c
		$(CC) $(C_ARGS) -c ttylog.c

clean: 
		rm -f *.o ttylog core *~

install: ttylog
	$(INS) -o root -g root -m 0755 -s ttylog $(DESTDIR)/usr/sbin
	$(INS) -o root -g root -m 0444 ttylog.8 $(DESTDIR)/usr/share/man/man8

=== debian/changelog ===
ttylog (0.1.b-4) unstable; urgency=low

  * QA Group upload orphaning this package
  * Rebuild to complete /usr/doc transition (closes: #359592)
  * debian/rules: bumped debhelper compatibility level to 4
  * debian/copyright: updated address of the FSF
  * debian/copyright: included location of the full text of the GPL

 -- Andrew Pollock <apollock@debian.org>  Mon, 17 Apr 2006 21:43:47 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ttylog
 Section: utils
 Priority: extra
-Maintainer: Tibor Koleszar <oldw@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>> 3.0.0)
 Standards-Version: 3.5.2

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 configure: configure-stamp
 configure-stamp:

## ttylog 0.1.d

=== Makefile ===
CC = gcc
C_ARGS = -Wall -g -O2
INS = /usr/bin/install
GZIP = /bin/gzip

all:	ttylog

ttylog:	ttylog.o
		$(CC) $(C_ARGS) -o ttylog ttylog.o

ttylog.o:	ttylog.c
		$(CC) $(C_ARGS) -c ttylog.c

clean: 
		rm -f *.o ttylog core *~

install: ttylog
	$(INS) -o root -g root -m 0755 ttylog $(DESTDIR)/usr/sbin
	$(INS) -o root -g root -m 0444 ttylog.8 $(DESTDIR)/usr/share/man/man8

=== debian/changelog ===
ttylog (0.1.d-2) unstable; urgency=low

  * Set debhelper compatibility to 8.
  * Set debhelper Build-Depends to version 8.
  * Set Standards Version in debian/control to 3.9.3.
  * Rewrite debian/copyright in accordance with DEP-5.
  * Explicitly set Debian source format as 3.0 (quilt).
  * Changed to using dh and a minimal version of debian/rules.
  * Update the Vcs-Git & Vcs-Browser fields in debian/control.
  * Add creation of a ttylog-dbg package to the package build.

 -- Robert James Clay <jame@rocasa.us>  Sat, 21 Apr 2012 12:34:57 -0400

ttylog (0.1.d-1) unstable; urgency=low

  * New upstream release.
  * Set debhelper Build-Depends to version 7.
  * Explicitly set Debian package format as 1.0.
  * Changed debian/watch to point to Sourceforge. 
  * Change Maintainer email address to jame@rocasa.us.
  * Set Standards Version to 3.9.1; no changes necessary.
  * Detailed the Debian packaging copyright in debian/copyright.
  * Change homepage in debian/control to Sourceforge project site.
  * Add Vcs-Git & Vcs-Browser to debian/control. (Closes: #566938)
  * Changed to using dh_prep in the install target of debian/rules.
 
 -- Robert James Clay <jame@rocasa.us>  Sat, 26 Mar 2011 14:15:39 -0400

ttylog (0.1.c-1) unstable; urgency=low

  * New Maintainer (closes: #358515)
  * New upstream release:
    - Added support for 4800 baud (Closes: #203356)
    - Remove unneeded printf for flushed option. (Closes: #267872)
    - Change ICRNL to IGNCR for connection setup. (Closes: #280629)
    - Remove del1013() and other unused code (Closes: #271098)
    - Fix nostrip build issue. (Closes: #438226)
  * Set debhelper compatibility level to 5
  * Set Standards Version to 3.8.0
  * Reword description and add Homepage to debian/control.
  * Add debian/watch file.

 -- Robert James Clay <jame@rocasa.org>  Sat, 26 Jul 2008 20:56:58 -0400

=== debian/control ===
Source: ttylog
Section: utils
Priority: extra
Maintainer: Robert James Clay <jame@rocasa.us>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.3
Vcs-Git: git://git.code.sf.net/p/ttylog/code
Vcs-Browser: http://sourceforge.net/p/ttylog/code/
Homepage: http://ttylog.sourceforge.net

Package: ttylog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: serial port logger
 Print everything to stdout that comes from a
 serial device. You can specify the device and
 the baud rate.

Package: ttylog-dbg
Architecture: any
Section: debug
Depends: ttylog (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ttylog
 Print everything to stdout that comes from a
 serial device. You can specify the device and
 the baud rate.
 .
 This package contains the debugging symbols for
 ttylog.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for ttylog

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/ttylog

override_dh_installdocs:
	dh_installdocs --link-doc=ttylog

override_dh_strip:
	dh_strip --dbg-package=ttylog-dbg

	
.PHONY: override_dh_strip

## ttylog 0.25

=== debian/changelog ===
ttylog (0.25-1) unstable; urgency=low

  * New upstream release, including:
    - Change to using CMake for the build system.
    - Change in the ttylog version numbering scheme.
    - Fix of issue where the length of the device was not being tested.
      (Closes: #553945).
  * Changes to debian/rules:
    - Add explicit use of dpkg buildflags.
    - Add explicit updating of CFLAGS and CXXFLAGS variables.
  * Update copyright years for Robert James Clay in debian/copyright.
  * Changes to debian/control:
    - Set Standards-Version to 3.9.4.
    - Add the package 'cmake' to Build-Depends.
    - Add 'dpkg-dev (>= 1.16.1~)' to Build-Depends.
    - Add debian branch information to the Vcs-Git URL.

 -- Robert James Clay <jame@rocasa.us>  Thu, 20 Jun 2013 15:45:29 -0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: extra
 Maintainer: Robert James Clay <jame@rocasa.us>
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.3
-Vcs-Git: git://git.code.sf.net/p/ttylog/code
+Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), cmake
+Standards-Version: 3.9.4
+Vcs-Git: git://git.code.sf.net/p/ttylog/code -b debian
 Vcs-Browser: http://sourceforge.net/p/ttylog/code/
 Homepage: http://ttylog.sourceforge.net

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,10 @@
 #!/usr/bin/make -f
 # debian/rules for ttylog
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+CFLAGS+=$(CPPFLAGS)
+CXXFLAGS+=$(CPPFLAGS)
 
 %:
 	dh $@
@@ -13,5 +18,4 @@
 override_dh_strip:
 	dh_strip --dbg-package=ttylog-dbg
 
-	
 .PHONY: override_dh_strip

## ttylog 0.26

=== CMakeLists.txt ===
# ########## Project setup ##########
PROJECT(ttylog)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

# ######### General setup ##########
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})

# ######### Build defaults ##########
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wall -O2")

# ########## ttylog executable ##########
# Sources:
SET(ttylog_executable_SRCS
    ttylog.c
)

# Headers:
SET(ttylog_executable_HDRS
)

# actual target:
ADD_EXECUTABLE(ttylog ${ttylog_executable_SRCS})

# add install targets:
INSTALL(TARGETS ttylog DESTINATION sbin)
# add install man page:
INSTALL(FILES ttylog.8 DESTINATION share/man/man8)

=== debian/changelog ===
ttylog (0.26-1~deb8u1) stable; urgency=medium

  * Resolve the issue in 'jessie' with the truncating of the modem_device string
    during the normal operation of ttylog.
  * Revert Debhelper Compatibility and Build-Depends to version 8 for 'jessie'.

 -- Robert James Clay <jame@rocasa.us>  Thu, 31 Dec 2015 22:38:47 -0500

ttylog (0.26-1) unstable; urgency=medium

  * New upstream release:
    - Correct truncating of 'modem_device' string. (Closes: #731086).
  * Reformat the long descriptions in debian/control.
  * Set Debhelper Compatibility and Build-Depends to version 9.
  * Update copyright years for Robert James Clay in debian/copyright.
  * Set Standards Version in debian/control to 3.9.6, no changes required.

 -- Robert James Clay <jame@rocasa.us>  Sun, 21 Jun 2015 09:46:01 -0400

=== debian/control ===
Source: ttylog
Section: utils
Priority: extra
Maintainer: Robert James Clay <jame@rocasa.us>
Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), cmake
Standards-Version: 3.9.6
Vcs-Git: git://git.code.sf.net/p/ttylog/code -b debian
Vcs-Browser: http://sourceforge.net/p/ttylog/code/
Homepage: http://ttylog.sourceforge.net

Package: ttylog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: serial port logger
 Print everything to stdout that comes from a serial device. You can specify
 the device and the baud rate.

Package: ttylog-dbg
Architecture: any
Section: debug
Depends: ttylog (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ttylog
 Print everything to stdout that comes from a serial device. You can specify
 the device and the baud rate.
 .
 This package contains the debugging symbols for ttylog.

## ttylog 0.28

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,24 @@
 PROJECT(ttylog)
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 
+SET(TTYLOG_VERSION_MAJOR "0")
+SET(TTYLOG_VERSION_MINOR "28")
+SET(TTYLOG_VERSION_PATCH "0")
+SET(TTYLOG_VERSION ${TTYLOG_VERSION_MAJOR}.${TTYLOG_VERSION_MINOR}.${TTYLOG_VERSION_PATCH})
+
+configure_file(
+    "${PROJECT_SOURCE_DIR}/config.h.in"
+    "${PROJECT_BINARY_DIR}/config.h"
+)
+
 # ######### General setup ##########
-INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
+INCLUDE_DIRECTORIES(
+    ${CMAKE_SOURCE_DIR}
+    ${PROJECT_BINARY_DIR}
+)
 
 # ######### Build defaults ##########
-set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wall -O2")
+SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -lrt")
 
 # ########## ttylog executable ##########
 # Sources:
@@ -18,6 +31,16 @@
 SET(ttylog_executable_HDRS
 )
 
+# ######### Package creation #########
+SET(CPACK_PACKAGE_VERSION_MAJOR "${TTYLOG_VERSION_MAJOR}")
+SET(CPACK_PACKAGE_VERSION_MINOR "${TTYLOG_VERSION_MINOR}")
+SET(CPACK_PACKAGE_VERSION_PATCH "${TTYLOG_VERSION_PATCH}")
+SET(CPACK_PACKAGE_VERSION "${TTYLOG_VERSION}")
+SET(CPACK_SOURCE_GENERATOR "TBZ2")
+SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
+SET(CPACK_SOURCE_IGNORE_FILES "/build/;/.git/;/.svn/;")
+INCLUDE(CPack)
+
 # actual target:
 ADD_EXECUTABLE(ttylog ${ttylog_executable_SRCS})

=== debian/changelog ===
ttylog (0.28-1ubuntu1) yakkety; urgency=medium

  * Link properly against librt to fix FTBFS with ld --as-needed.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 13 Jun 2016 23:41:21 -0400

ttylog (0.28-1) unstable; urgency=medium

  * New upstream release:
    - Correct issues with dropping and/or adding newlines. (Closes: #739733)
  * Add a TODO.Debian file.
  * Rewrite the debian/README.Debian file for content.
  * Add debian/patch/CMakeLists.patch to enable a DEBUG build.
  * Changes to debian/control:
    - Rewrite the extended Description.
    - Change the Vcs-Browser URI to 'https'.
    - Remove the ttylog-dbg package stanza as no longer being necessary.
    - Change Standards-Version from '3.9.6' to '3.9.8', no changes required.
  * Changes to debian/copyright:
    - Update copyright years for Robert James Clay.
    - Add 'Alexander (MrMontag) Fust' copyright information.
  * Changes to debian/rules:
    - Change the dh_strip option being used to 'dbgsym-migration'.
    - Set the DEB_BUILD_MAINT_OPTIONS variable to 'hardening=+all'.

 -- Robert James Clay <jame@rocasa.us>  Sat, 11 Jun 2016 16:58:12 -0400

=== debian/control ===
Source: ttylog
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Robert James Clay <jame@rocasa.us>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), cmake
Standards-Version: 3.9.8
Vcs-Git: git://git.code.sf.net/p/ttylog/code -b debian
Vcs-Browser: https://sourceforge.net/p/ttylog/code/
Homepage: http://ttylog.sourceforge.net

Package: ttylog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: serial port logger
 Print everything that comes from a serial device to stdout. The device as well
 as the baud rate can be specified and a timeout can be set instead of just
 killing the process in order to stop it.

## ttylog 0.29

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 
 SET(TTYLOG_VERSION_MAJOR "0")
-SET(TTYLOG_VERSION_MINOR "28")
+SET(TTYLOG_VERSION_MINOR "29")
 SET(TTYLOG_VERSION_PATCH "0")
 SET(TTYLOG_VERSION ${TTYLOG_VERSION_MAJOR}.${TTYLOG_VERSION_MINOR}.${TTYLOG_VERSION_PATCH})
 
@@ -19,7 +19,7 @@
 )
 
 # ######### Build defaults ##########
-SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -lrt")
+SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2")
 
 # ########## ttylog executable ##########
 # Sources:
@@ -44,6 +44,11 @@
 # actual target:
 ADD_EXECUTABLE(ttylog ${ttylog_executable_SRCS})
 
+# link against librt:
+if(UNIX AND NOT APPLE)
+    target_link_libraries(ttylog rt)
+endif()
+
 # add install targets:
 INSTALL(TARGETS ttylog DESTINATION sbin)
 # add install man page:

=== debian/changelog ===
ttylog (0.29-1) unstable; urgency=medium

  * New upstream release.
  * Update and refresh debian/patches/CMakeLists.patch for new upstream.
  * Add the 'debian/docs' file in order to install the upstream TODO file.
  * Add the 'Logan Rosen <loganrosen@gmail.com>' copyright information to
    the debian/copyright file.

 -- Robert James Clay <jame@rocasa.us>  Fri, 24 Jun 2016 15:28:59 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 # debian/rules for ttylog
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 CFLAGS+=$(CPPFLAGS)
@@ -16,6 +17,6 @@
 	dh_installdocs --link-doc=ttylog
 
 override_dh_strip:
-	dh_strip --dbg-package=ttylog-dbg
+	dh_strip --dbgsym-migration='ttylog-dbg (<< 0.28-1~)'
 
 .PHONY: override_dh_strip

## ttylog 0.30

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 
 SET(TTYLOG_VERSION_MAJOR "0")
-SET(TTYLOG_VERSION_MINOR "29")
+SET(TTYLOG_VERSION_MINOR "30")
 SET(TTYLOG_VERSION_PATCH "0")
 SET(TTYLOG_VERSION ${TTYLOG_VERSION_MAJOR}.${TTYLOG_VERSION_MINOR}.${TTYLOG_VERSION_PATCH})

=== debian/changelog ===
ttylog (0.30-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy 4.1.2.
  * Change the 'Vcs-Git' URL to use HTTPS in debian/control.
  * Set 'Priority' in debian/control back to 'optional' from 'extra'.

 -- Robert James Clay <jame@rocasa.us>  Sun, 24 Dec 2017 20:26:13 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: ttylog
 Section: utils
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Robert James Clay <jame@rocasa.us>
+Priority: optional
+Maintainer: Robert James Clay <jame@rocasa.us>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), cmake
-Standards-Version: 3.9.8
-Vcs-Git: git://git.code.sf.net/p/ttylog/code -b debian
+Standards-Version: 4.1.2
+Vcs-Git: https://git.code.sf.net/p/ttylog/code -b debian
 Vcs-Browser: https://sourceforge.net/p/ttylog/code/
 Homepage: http://ttylog.sourceforge.net

=== debian/watch ===
# ttylog watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

# Check at sourceforge for new ttylog versions,
# for devscripts >= 2.9
http://sf.net/ttylog/ttylog-(.*)\.tar\.gz

## ttylog 0.31

=== CMakeLists.txt ===
# ########## Project setup ##########
PROJECT(ttylog)
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

SET(TTYLOG_VERSION_MAJOR "0")
SET(TTYLOG_VERSION_MINOR "31")
SET(TTYLOG_VERSION_PATCH "0")
SET(TTYLOG_VERSION ${TTYLOG_VERSION_MAJOR}.${TTYLOG_VERSION_MINOR}.${TTYLOG_VERSION_PATCH})

configure_file(
    "${PROJECT_SOURCE_DIR}/config.h.in"
    "${PROJECT_BINARY_DIR}/config.h"
)

# ######### General setup ##########
INCLUDE_DIRECTORIES(
    ${CMAKE_SOURCE_DIR}
    ${PROJECT_BINARY_DIR}
)

# ######### Build defaults ##########
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2")

# ########## ttylog executable ##########
# Sources:
SET(ttylog_executable_SRCS
    ttylog.c
)

# Headers:
SET(ttylog_executable_HDRS
)

# actual target:
ADD_EXECUTABLE(ttylog ${ttylog_executable_SRCS})

# link against librt:
if(UNIX AND NOT APPLE)
    target_link_libraries(ttylog rt)
endif()

# add install targets:
INSTALL(TARGETS ttylog DESTINATION sbin)
# add install man page:
INSTALL(FILES ttylog.8 DESTINATION share/man/man8)

# ######### Test Settings #########
include(CTest)
add_test (ttylogRuns ttylog)
set_tests_properties (ttylogRuns PROPERTIES PASS_REGULAR_EXPRESSION "no params.")
add_test (ttylogHelp ttylog -h)
set_tests_properties (ttylogHelp PROPERTIES PASS_REGULAR_EXPRESSION "Usage:")

# ######### Package creation #########
SET(CPACK_PACKAGE_VERSION_MAJOR "${TTYLOG_VERSION_MAJOR}")
SET(CPACK_PACKAGE_VERSION_MINOR "${TTYLOG_VERSION_MINOR}")
SET(CPACK_PACKAGE_VERSION_PATCH "${TTYLOG_VERSION_PATCH}")
SET(CPACK_PACKAGE_VERSION "${TTYLOG_VERSION}")
SET(CPACK_SOURCE_GENERATOR "TBZ2")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
SET(CPACK_SOURCE_IGNORE_FILES "/build/;/.git/;/.svn/;")
INCLUDE(CPack)

=== debian/changelog ===
ttylog (0.31-1) unstable; urgency=medium

  * New upstream release.
  * Declare compliance with Debian Policy 4.1.3.
  * Add a 'debian/upstream/signing-key.asc' file.
  * Add a 'get-orig-source' target to the debian/rules file.
  * Set version to '4' and add 'pgpsigurlmangle' in debian/watch.
  * Changes to debian/copyright:
    - Update the copyright years for 'Robert James Clay'.
    - Add the copyright information for 'Guy Shapiro' and 'Donald Gordon' to
      the 'files:*' stanza.

 -- Robert James Clay <jame@rocasa.us>  Mon, 15 Jan 2018 17:48:43 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Robert James Clay <jame@rocasa.us>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), cmake
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Vcs-Git: https://git.code.sf.net/p/ttylog/code -b debian
 Vcs-Browser: https://sourceforge.net/p/ttylog/code/
 Homepage: http://ttylog.sourceforge.net

=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,7 @@
 override_dh_strip:
 	dh_strip --dbgsym-migration='ttylog-dbg (<< 0.28-1~)'
 
-.PHONY: override_dh_strip
+get-orig-source:
+	uscan --force-download --rename --destdir ..
+
+.PHONY: get-orig-source override_dh_strip

=== debian/watch ===
# ttylog watch control file for uscan

# Compulsory line, this is a version 4 file
version=4

# Check at sourceforge for new ttylog versions,
# for devscripts >= 2.9
opts=pgpsigurlmangle=s/$/.asc/ http://sf.net/ttylog/ttylog-(.*)\.tar\.gz
